# Grafana Data Exporter

Server for fetching data from Grafana datasources. You would you use it:
1) To export your metrics on a big range 
2) To migrate from one datasource to another


## Getting Started

### Linux
#### Prerequisites
- [nodejs](https://nodejs.org/en/download/) >= 14

#### Installation
```bash
wget https://code.corpglory.net/attachments/12517474-e841-44ee-ba9a-c25367e79389 -O grafana-data-exporter.tar.gz
tar -zxvf grafana-data-exporter.tar.gz
```

#### Running
- `node dist/server.js`

### Docker

#### Installation
- `docker pull corpglory/grafana-data-exporter`

#### Running
```bash
docker run -d \
--restart always \
--name grafana-data-exporter \
-p 8000:8000 \
corpglory/grafana-data-exporter
```

## Support and Consulting

Commercial support, professional services **or any help** — send us your inquiry at ping@corpglory.com

## About CorpGlory Inc.
Grafana Data Exporter is developed by [CorpGlory Inc.](https://corpglory.com/), a company which provides high quality software development, data visualization, Grafana and monitoring consulting.
