import { CSV_PATH } from '../config';
import { router as tasksRouter } from '../routes/tasks';
import { router as statusRouter } from '../routes/status';
import { router as connectRouter } from '../routes/connect';

import * as express from 'express';


export const router = express.Router();

router.use('/status', statusRouter);
router.use('/connect', connectRouter);
router.use('/task', tasksRouter);
router.use('/static', express.static(CSV_PATH, { extensions: ['csv'] }));
